ZCO 2018 discussion

Isnt that your mistake that you didnt write a correct slution and that answers were off by 1 or 2? What can IARCS do for it?

I also completely solve the both of them. Though I am not that sure about the aftercheck. I also finished it in 2 hours.

Not about the answers I am asking to complain about increased difficulty, increased issues, different format, etc and other issues ā€¦
also at my centre the paper was made over 15 mins before actual time and I couldnā€™t submit my debugged codeā€¦
Only thing we can do currently to ensure selection is giving feedback to i arcsā€¦

Oh, I misunderstood you. Yes, that needs to be reported :slight_smile:

Everyone give your feedback to IARCS mentioning not only the increased difficulty but also the sudden pattern change in the problem.This is probably the first time that the problems asked didnā€™t include some of the most famous topics like grids graphs and dp.

Did any one else experience any inconvenience due to technical support and errors at their centre ?..if yesā€¦then please report this issue to IARCS asap

There was DP. Important Substrings.

How did you implement it using dp? I thought of applying the same algorithm used in finding least number of palindromes but couldnā€™t figure it outā€¦

Too many technical issues in Delhi center

I think zco was way harder than the inoi problems i have solved :confused:

@yogesh01 told me that

If u got AC on all subtasks except 3rd try this subtask -
n = 4 k = 1 c = 18
[1ā€¦3] [6ā€¦11] [10ā€¦14] [15ā€¦18]

There were lots of Technical difficulties in IIITD. Firstly, the computers kept on hanging for the entirety of the exam. And I am not the only one in my test room who experienced this problem. In my case the major reason for this was probably codeblocks. Seeing this problem,I moved over to the online text editor of codechef. And the ide kept on telling me to refresh my web page every 5 minutes. Somehow I managed through the test,and I got a solution(for problem 1) which I had tested on the test cases available to download using the online editor. At 1:05 I was about to submit my solution(the contest had been extended to 1:10).I clicked on submit, and as I was about to paste my code, somehow my session timed out. And this continued for the next 5 minutes, preventing me from submitting my code,until the end of the test, after which the invigilators gave up on my case, told me they could do nothing and shut down my computer.

1 Like

Mail this Ashutosh^

Have mailed it

I used prefix sums. At least kind of prefix sums.

The solutions -

the string one ā€“

So compute prefix sums where pref[1][i][j] is the number of indices x in range [1ā€¦i] such that
a[x] == ā€˜Xā€™ and x%3 == j. Similarly, pref[2][i][j] is the number of indices x in range [1ā€¦i] such that a[x] == ā€˜Zā€™ and x%3 == j.

Now compute for each subtring of length k the importance,
it will basically be something like -
if [xā€¦y] is the subtring, the importance-
for each j number of Xā€™s to the left of x*number of Zā€™s to the right of x

  • number of Xā€™s in range [xā€¦y]*number of Zā€™s to the right of y
  • number of good substrings in range [xā€¦y] completely overlapping

the number good substrings will be for each j in range [xā€¦y] the number of Zā€™s in range [jā€¦y]

u could actually make a O(1) formula for the last part after doing some maths.


the interval one ā€“

for k = 0, its trivial. for k = 1,
find any pair which overlap, lets call these indices ind and ind+1. Now try placing ind anywhere. If u canā€™t place it (due to overlaps) or there is some other overlap, then try placing ind+1 as well.
If u can place either or them such that no overlaps happen then ans is good else bad

2 Likes

I used sliding window :confused:

Increased difficulty doesnt pose any threat because cutoff is decided based on ranking so that the top ~200 people are selected. I faced absolutely 0 issues this time. Different format? Except these, you can report your personal feedback to iarcs but please do not spam this thread by repeatedly asking others to do the same.

Is it really compulsory to have problems on grid graphs and dp? Likeā€¦nothing was out of syllabus though. And increased difficulty doesnā€™t pose any threat because cutoff is decided based on ranking so that the top ~200 people are selected.